For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoice Transactions

Get transactions

get
/transactions/

This api is used to fetch a single generated invoice from OutSmart. Filters can be given by adding a key and values array to the URL. Adding a single filter: &key=key1&value=value1&operator=gt Adding multiple filters: &key[]=key1&value[]=value1&operator[]=eq&key[]=key2&value[]=value2&operator[]=gt

Following operators are allowed:

Operator
Description

li

Like (%)

eq

Equal (=)

ne

Not equal (!=)

gt

Greather than (>)

ge

Greather than or equal (>=)

lt

Less than (<)

le

Less than or equal (<=)

Transaction parameters. The invoice id of a transaction transaction can be empty if a transaction is not assigned to an invoice. Once it is assigned the balance of the invoice will be adjusted.

Parameter
Description
Type

int_inv_id

Invoice ID

int(11)

int_transaction_id

Transaction ID

varchar(255)

int_external_transaction_id

External Transaction ID

varchar(255)

int_description

Transaction Description

varchar(255)

int_amount

Transaction amount

decimal(7,2)

int_type

Transaction type

varchar(255)

int_type_description

Transaction type description

varchar(255)

int_status

Transaction status,NEW or PROCESSED

varchar(55)

int_user

User/entity who registered the transaction

varchar(255)

int_timestamp

Timestamp registered

timestamp

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
keystringOptionalExample: int_external_transaction_id
valueintegerOptionalExample: 12391823012798
operatorstringOptionalExample: eq
Responses
200

Response_200

No content

get/transactions/
GET /transactions/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add transactions

post
/transactions/

This api is used to fetch a single generated invoice from WorkorderApp. Filters can be given by adding a key and values array to the URL. Adding a single filter: &key=key1&value=value1&operator=gt Adding multiple filters: &key[]=key1&value[]=value1&operator[]=eq&key[]=key2&value[]=value2&operator[]=gt

Following operators are allowed:

Operator
Description

li

Like (%)

eq

Equal (=)

ne

Not equal (!=)

gt

Greather than (>)

ge

Greather than or equal (>=)

lt

Less than (<)

le

Less than or equal (<=)

Transaction parameters. The invoice id of a transaction transaction can be empty if a transaction is not assigned to an invoice. Once it is assigned the balance of the invoice will be adjusted.

Paramter
Description
Type

int_inv_id

Invoice ID

int(11)

int_transaction_id

Transaction ID

varchar(255)

int_external_transaction_id

External Transaction ID

varchar(255)

int_description

Transaction Description

varchar(255)

int_amount

Transaction amount

decimal(7,2)

int_type

Transaction type

varchar(255)

int_type_description

Transaction type description

varchar(255)

int_status

Transaction status,NEW or PROCESSED

varchar(55)

int_user

User/entity who registered the transaction

varchar(255)

int_timestamp

Timestamp registered

timestamp

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/transactions/
POST /transactions/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Update transactions

put
/transactions/

This api is used to fetch a single generated invoice from WorkorderApp. Filters can be given by adding a key and values array to the URL. Adding a single filter: &key=key1&value=value1&operator=gt Adding multiple filters: &key[]=key1&value[]=value1&operator[]=eq&key[]=key2&value[]=value2&operator[]=gt

Following operators are allowed:

Operator
Description

li

Like (%)

eq

Equal (=)

ne

Not equal (!=)

gt

Greather than (>)

ge

Greather than or equal (>=)

lt

Less than (<)

le

Less than or equal (<=)

Transaction parameters. The invoice id of a transaction transaction can be empty if a transaction is not assigned to an invoice. Once it is assigned the balance of the invoice will be adjusted.

Parameter
Description
Type

int_inv_id

Invoice ID

int(11)

int_transaction_id

Transaction ID

varchar(255)

int_external_transaction_id

External Transaction ID

varchar(255)

int_description

Transaction Description

varchar(255)

int_amount

Transaction amount

decimal(7,2)

int_type

Transaction type

varchar(255)

int_type_description

Transaction type description

varchar(255)

int_status

Transaction status,NEW or PROCESSED

varchar(55)

int_user

User/entity who registered the transaction

varchar(255)

int_timestamp

Timestamp registered

timestamp

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

put/transactions/
PUT /transactions/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?